Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface STCAttribute

All Known Implementing Classes:
  STCAttributeImpl

    public interface STCAttribute

Attribute interface that models a single attribute of an LDAP entry.

Version:
  $Revision: 1.4 $
Author:

Method Summary
`int` | `countSTCValue()` Returns the number of values for this attribute
`java.lang.String` | `getName()` Method to retrieve the name of the attribute
`STCValues` | `getSTCValues()` Method to retrieve the list of values of the attribute
`void` | `reset()` Method to reset the values
`STCValue` | `retrieveSTCValue(int j)` Returns the value of the attribute at the specified index from the array of values
`void` | `setName(java.lang.String name)` Method to set the name of the attribute

Method Detail

### getSTCValues

    STCValues getSTCValues()

  Method to retrieve the list of values of the attribute

  Returns:
    the STCValues object associated with this attribute

### getName

    java.lang.String getName()

  Method to retrieve the name of the attribute

  Returns:
    the name of the attribute

### setName

    void setName(java.lang.String name)

  Method to set the name of the attribute

  Parameters:
    `name` - the name of the attribute

### countSTCValue

    int countSTCValue()

  Returns the number of values for this attribute

  Returns:
    the count of values for this attribute

### retrieveSTCValue

    STCValue retrieveSTCValue(int j)
                              throws java.lang.IndexOutOfBoundsException

  Returns the value of the attribute at the specified index from the array of values

  Parameters:
    `j` - the index of the value to be returned
  Returns:
    the attribute value as a STCValue object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD